Get Signing Authorities

Get Signing Authorities

Get all Certificate Signing Authorities

Request
URI
GET
https://{api_host}/hybridity/api//ztp/security/signingAuthorities
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns signingAuthoritiesResponse of type(s) application/json
{
    "authorities": [
        {
            "name": "string",
            "type": "string",
            "validForDays": 0,
            "csrDetails": {
                "country": "string",
                "organization": "string",
                "organizationUnit": "string",
                "state": "string",
                "keySize": 0,
                "algorithm": "string",
                "emailAddress": "string",
                "locality": "string"
            }
        }
    ]
}
authorities
Optional

authorities


400

Bad Request

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors